<?php 
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');

$referencia=limpiar($_POST['art_referencia']);
$barras=limpiar($_POST['art_barras']);
$art_ubicacion=limpiar($_POST['art_ubicacion']);
$categorias=limpiar($_POST['categorias']);
$nombre=mb_strtoupper(limpiar($_POST['nombre']));
$art_iva=limpiar($_POST['art_iva']);
$cantidad=limpiar($_POST['cantidad']);

$can=mysqli_query($con,"SELECT * from combos_articulos_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
$number=mysqli_num_rows($can);
if($number>0)
{
    $can2=mysqli_query($con,"SELECT MAX(com_id)as com_id FROM combos") or die(mysqli_error($con)); 
    $dato=mysqli_fetch_array($can2); 
    $com_id=$dato['com_id']+1;
    $registros1=mysqli_query($con,"INSERT into combos (com_id,com_referencia,com_barras,com_nombre,com_iva,com_cantidad,familias_fam_id,com_estado,com_ubicacion,empresa) 
                      VALUES  ('$com_id','$referencia','$barras','$nombre','$art_iva','$cantidad','$categorias','Activo','$art_ubicacion','$empresa')") or  die(mysqli_error($con));

    $can7=mysqli_query($con,"SELECT * from combos_articulos_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));  
    $number  = mysqli_num_rows($can7);
    while($dato=mysqli_fetch_array($can7))
    {
        $art_id_bod=$dato['art_id_bod'];
        $comt_art_id=$dato['comt_art_id'];
        $comt_art_referencia=$dato['comt_art_referencia'];
        $comt_art_nombre=$dato['comt_art_nombre'];
        $comt_art_cantidad=$dato['comt_art_cantidad'];
        $comt_art_precio=$dato['comt_art_precio'];            
        $comt_tipo=$dato['comt_tipo'];            
        $can8=mysqli_query($con,"INSERT INTO combos_articulos (art_id_bod,coma_art_id,coma_art_referencia,coma_art_nombre,coma_art_cantidad,coma_art_precio,coma_tipo,combos_com_id) 
                             VALUES ('$art_id_bod','$comt_art_id','$comt_art_referencia','$comt_art_nombre','$comt_art_cantidad','$comt_art_precio','$comt_tipo','$com_id')") or die(mysqli_error($con));  
    }

    if(!empty($_POST['opcion1']))
    {
        $number1 = count($_POST["opcion1"]); 
        if($number1 > 0)  
        {  
            for($i=0; $i<$number1; $i++)  
            {  
                if(trim($_POST["opcion1"][$i] != ''))
                $dato1=mb_strtoupper($_POST["opcion1"][$i]);  
                {  
                    $sql ="INSERT INTO sabores_combos (sab_nombre,combo_id,empresa) VALUES('".$dato1."','$com_id','$empresa')";  
                    mysqli_query($con, $sql);

                }  
            } 
        }                      
    }


    $nameimagen = $_FILES['imagen']['name'];
    $tmpimagen = $_FILES['imagen']['tmp_name'];
    $extimagen = pathinfo($nameimagen);
    $ext = array("","jpg","jpeg","png","jfif","gif","tif","tiff","JPG","PNG","JPEG","JFIF","GIF","TIF","TIFF");
    $urlnueva = "../img/combos/".$com_id.".jpg";

    if(is_uploaded_file($tmpimagen))
    {
        if(array_search($extimagen['extension'],$ext))
        {
            copy($tmpimagen, $urlnueva);
        }
        else 
        {
           echo '<div class="alert alert-danger alert-dismissable">
                  <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                  <strong>La imagen no se guardo! </strong> Solo se permiten imágenes con formato  jpg.
                </div>';
        }
    }      
    $borrar_sql=mysqli_query($con,"DELETE FROM combos_articulos_temp WHERE usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
?>
    <div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Combo Registrado Correctamente!</strong> 
    </div>

    <script type="text/javascript">
        document.getElementById("form_combo").reset();
    </script> 
<?php
}
else
{
    echo '<div class="alert alert-danger alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Debe agregar mas de un Articulo!</strong> 
    </div>'; 
}
?>